// Copyright (c) The Diem Core Contributors
// SPDX-License-Identifier: Apache-2.0

// Copyright 2021 Conflux Foundation. All rights reserved.
// Conflux is free software and distributed under GNU General Public License.
// See http://www.gnu.org/licenses/

#![forbid(unsafe_code)]

pub mod command;
mod genesis;
mod key;
pub mod layout;
mod validator_config;
mod validator_operator;
mod verify;
mod waypoint;

#[cfg(any(test, feature = "testing"))]
pub mod config_builder;
#[cfg(any(test, feature = "testing"))]
mod storage_helper;
#[cfg(any(test, feature = "testing"))]
pub mod swarm_config;

#[cfg(any(test, feature = "testing"))]
pub use crate::config_builder::test_config;
